Loading...
Searching...
No Matches
BALL::HybridisationProcessor::Default Struct Reference

Default values for options. More...

`#include <BALL/STRUCTURE/hybridisationProcessor.h>`

## Static Public Attributes

static const char * | ATOM_TYPE_SMARTS_FILENAME
| default file name for the atom type smarts
static const char * | ATOM_TYPE_FF_FILENAME
static const String | METHOD

## Detailed Description

Default values for options.

Definition at line 78 of file hybridisationProcessor.h.

## Member Data Documentation

## ATOM_TYPE_FF_FILENAME

const char* BALL::HybridisationProcessor::Default::ATOM_TYPE_FF_FILENAME

static

default file name for the atom types, hybridisation states, and bond angles (force field based)

Definition at line 86 of file hybridisationProcessor.h.

## ATOM_TYPE_SMARTS_FILENAME

const char* BALL::HybridisationProcessor::Default::ATOM_TYPE_SMARTS_FILENAME

static

default file name for the atom type smarts

Definition at line 81 of file hybridisationProcessor.h.

## METHOD

const String BALL::HybridisationProcessor::Default::METHOD

static

this option is set to HybridisationProcessor::Method::SMART_MATCHING by default

Definition at line 91 of file hybridisationProcessor.h.